package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMsgSend {
    MSG_SEND_IMMEDIATELY(1, "立即发送"),
    MSG_SEND_NOT_IMMEDIATELY(0, "不立即发送")

    ;

    public static EnumMsgSend getEnum(Integer code) {
        for (EnumMsgSend value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMsgSend(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
